Loading...
Searching...
No Matches
GaussianFactorGraph.h File Reference

Linear Factor Graph where all factors are Gaussians. More...

Go to the source code of this file.

## Classes

struct | gtsam::EliminationTraits< GaussianFactorGraph >
class | gtsam::GaussianFactorGraph
| A Linear Factor Graph is a factor graph where all factors are Gaussian, i.e. More...
struct | gtsam::traits< GaussianFactorGraph >
| traits More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

bool | gtsam::hasConstraints (const GaussianFactorGraph &factors)
| Evaluates whether linear factors have any constrained noise models.

## Detailed Description

Linear Factor Graph where all factors are Gaussians.

Author
  Kai Ni
  Christian Potthast
  Alireza Fathi
  Richard Roberts
  Frank Dellaert